/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8

({
	'busyLoading': "Loading...",
	'buttonCollapseAll': "Collapse All",
	'buttonDefaultRunAction': "Run Action",
	'buttonEdit': "Edit",
	'buttonPreview': "Preview",
	'buttonExpandAll': "Expand All",
	'buttonAddComment': "Add Comment",
	'buttonHideComment': "Hide Comment",
	'buttonShowComment': "Show Comment",
	'errorBadWidgetAttribute':  "Invalid attribute passed to the ${0} presentation; should be \"${1}\". The administrator must correct the presentation.",
	/* 
	 * Wiki Help appears in a popup. The HTML formatting must be preserved. 
	 * It describes how to enter text in the Wiki part, e.g.
	 *   == Welcome
	 *   Here is my *list*
	 *   # Eggs
	 *   # Milk
	 *   # Coffeee
	 */
	'helpWikiText':"<div style='font-size:9pt'><b>Wiki Text Syntax:</b>" 
		+ "<div style='padding-left:10px; width:250px'>"
		+ "<br/>**Bold**"
		+ "<br/>//Italics//"
		+ "<br/>__Underline__"
		+ "<br/>--Strike out--"
		+ "<br/>=Heading 1"
		+ "<br/>==Heading 2"
		+ "<br/>===Heading 3"
		+ "<br/>====Heading 4"
		+ "<br/>=====Heading 5"
		+ "<br/>======Heading 6"
		+ "<br/>*Bullet List 1"
		+ "<br/>#Numbered List 1"
		+ "<br/>---- (Horizontal Line)"
		+ "<br/>{{Image Reference}}"
		+ "<br/>{{{Unformatted}}}"
		+ "</div>"
		+ "<br/><b>Example:</b>" 
		+ "<div style='padding-left:10px'>"
		+ "<br/>== Welcome"
		+ "<br/>**Shopping List**"
		+ "<br/># Pencils"
		+ "<br/># Paper"
		+ "<br/>{{attachment 123}}"
		+ "</div></div>",
	
	'labelDiscussion': "Discussion",
	'labelNoComments': "No Comments.",
	'labelOneComment': "(1 comment)",
	'labelSomeComments': "(${0} comments)",
	'labelDefaultEmailSubject': "About that Work Item...",
	'labelDefaultEmptyValue':"Not Specified",
	'labelDefaultSectionTitle': "Section",
	'labelDefaultNullEnumerationValue':"Not Available",
	'labelDefaultNullValue':"Not Available",
	'labelDefaultNullItem': "None",
	'labelDefaultNullAction': "None",
	'labelDefaultNullDate': "None",
	'labelGuessCategory': "Guess Category",
	'labelGuessingCategory': "Guessing Category...",
	'labelGuessCategoryNoResult': "Guessing the category did not achieve a result.",
	'labelNoAttribute': "None",
	'labelTeamAreaAndProjectArea': "${0} / ${1}",
	
	// Rich Text Editor messages
	'insertWorkItemLink': 'Insert Work Item Link',
	'insertUserLink': 'Insert User Link',
	'insertExternalLink': 'Insert External Link',
	'externalLinkUrl': 'URL:',
	'externalLinkTitle': 'Title:',

	'titleCollapseSection': "Collapse Section",
	'titleEnterNumber': "Enter a number. <br\/>Multiple numbers can be separated by comma.",
	'titleExpandSection': "Expand Section",
	'titleEdit': "Edit ${0}", // attribute Label, e.g., Description
	'titlePreview': "Preview ${0}", // attribute Label, e.g., Description
	'titleNullDate': "This value has not been set.",
	'titleWikiHelp': "Wiki syntax help",
	'validationAsInteger': "The value must be an integer number.",
	'validationAsLong': "The value must be a long number.",
	'validationNotApplicable': "The selected value is not applicable."
})	