/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8

({
	WorkflowEditorTitle: "Workflows",
	
	Loading: "Loading...",
	WorkflowList: "Choose the Workflow to edit:",
	Add: "Add...",
	Remove: "Remove",
	ConfirmRemoveWorkflow: "Are you sure you want to remove '${0}'?",
	Details: "Details",
	MessageForDetail: "Define work item state transitions (workflows). Workflows are built of States, Actions and Resolutions. To add an Action, define at least two States in the States table. Specify one of the groups (open, in progress, closed) to the states to provide the necessary context to the system.",
	NameLabel: "Name:",
	IdLabel: "ID:",
	WorkflowDescription: "Description:",
	StartAction: "Start Action:",
	ResolveAction: "Resolve Action:",
	ReopenAction: "Reopen Action:",
	None: "None",
	EditIcon: "Edit Icon",
	ErrNoStartAction: "Workflow '${0}' has no start action.",
	
	// add workflow dialog
	AddWorkflowDlgTitle: "Add Workflow",
	ErrIDEmpty: "ID must not be empty",
	ErrDupID: "A Workflow with the same ID already exists.",

	TransitionsTableTitle: "Transitions",
	FromLabel: "From",
	ToLabel: "To",
	NoAction: "<None>",
	
	StateTableTitle: "States",
	MessageForStateTable: "Configure the States for this Workflow. For each State, set the order in which Actions will appear throughout the user interface.",
	IconColumn: "Icon",
	StateName: "Name",
	StateGroup: "Group",
	ShowResolution: "Show Resolution",
	Description: "Description",
	ClickToAddDesc: "Click to add description",
	WorkflowActions: "Workflow Actions",
	EditActionOrder: "Set the order of Actions",
	
	AddState: "Add State",
	NameLabel: "Name:",
	DescriptionLabel: "Description:",
	GroupLabel: "Group:",
	NoGroup: "<None>",
	open: "Open",
	inprogress: "In Progress",
	closed: "Closed",
	RemoveState: "Remove State",
	ConfirmRemoveState: "Are you sure you want to remove state '${0}'?",
	RemoveStateWarning: "The following actions will be removed as they have the target state set to the state that is being removed '${0}':\n",
	RemoveStateActionList: "- ${0}\n",
	RemoveStateConfirmation: "${0}${1}\nDo you want to remove the state and the actions?",
	
	errStateNameEmpty: "Name cannot be empty.",

	ActionTableTitle: "Actions",
	MessageForActionTable: "Configure the Actions for this Workflow. For each Action that will have Resolutions, select those Resolutions and the order in which they will appear.",
	ActionName: "Name",
	ActionTarget: "Target State",
	ResolutionsColumnHeader: "Resolutions",
	EditActionResolutions: "Select and set the order of Resolutions",
	ClickToEditResolutionsDesc: "Click to select Resolutions",
	SelectResolutionsTitle: "Select and set the order of Resolutions",
	RemoveAction: "Remove Action",
	ConfirmRemoveAction: "Are you sure you want to remove action '${0}'?",

	// add action dialog
	AddActionTitle: "Add Action",
	errActionNameEmpty: "Name cannot be empty.",
	TargetStateLabel: "Target State:",
	ErrTargetStateEmpty: "A target state must be selected",

	ResolutionTableTitle: "Resolutions",
	MessageForResolutionTable: "",
	ResolutionName: "Name",
	RemoveResolution: "Remove Resolution",
	ConfirmRemoveResolution: "Are you sure you want to remove resolution '${0}'?",

	// Add Resolutions dialog
	AddResolution: "Add Resolution",
	errResolutionNameEmpty: "Name cannot be empty.",

	Actions: "Actions"
})