/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.ui.internal.page.WorkItemsComponentMenu_JDojo_Helper"); //$NON-NLS-1$

dojo.require("jazz.app._ComponentMenu"); //$NON-NLS-1$
/*
 * This class is a workaround which allows "this" and a parameter passed to the onclick listener of the component menu
 */
(function() {
var _ComponentMenu= jazz.app._ComponentMenu;

dojo.declare("com.ibm.team.workitem.web.ui.internal.page.WorkItemsComponentMenu_JDojo_Helper", _ComponentMenu, { //$NON-NLS-1$
    /*
     * The following is run in the context of the component menu item
     */
    onClickCallOnClickListener: function(mouseEvent) {
    	var menuItem = this;
    	if(!menuItem.params || !menuItem.params.onClickListener) return;
    	menuItem.params.onClickListener(menuItem.params.onClickParameter);
    }
});

})();
