/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.viewlets.web.ui.internal.utils.AttributeUtil");
// This class is only here temporarily to work around problems with migration encountered in work item 67174

dojo.require("com.ibm.team.workitem.web.client.internal.WorkItemAttributes");

(function() {

var WorkItemAttributes = com.ibm.team.workitem.web.client.internal.WorkItemAttributes,
	MAP = {
		"priority": WorkItemAttributes.EXT_PRIORITY,
		"severity": WorkItemAttributes.EXT_SEVERITY,
		"status": WorkItemAttributes.EXT_STATE,
		"resolution": WorkItemAttributes.EXT_RESOLUTION
	};

com.ibm.team.workitem.viewlets.web.ui.internal.utils.AttributeUtil.getAttribute = function(value) {
	return MAP[value] || value;
};

})();
