/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
 
(function() { // avoid variables in the global (window) scope
	
var ImagePool= dojo.provide("com.ibm.team.workitem.web.ui.internal.view.common.ImagePool");

ImagePool._BASE= "ui/internal/view/common/images/";
ImagePool._getImageUri= function(imgName) {
	 	return dojo.moduleUrl("com.ibm.team.workitem.web", ImagePool._BASE + imgName);
	};

ImagePool.ARCHIVE= ImagePool._getImageUri("archive.gif");
ImagePool.ARCHIVE_HOVER= ImagePool._getImageUri("archive_hov.gif");
ImagePool.ATTACHMENT= ImagePool._getImageUri("attach_obj.gif");
ImagePool.CHECKBOX= ImagePool._getImageUri("checkbox.png");
ImagePool.CALENDAR= ImagePool._getImageUri("calendar.gif");
ImagePool.DELETE= ImagePool._getImageUri("delete.gif");
ImagePool.DOWN= ImagePool._getImageUri("down.gif");
ImagePool.DOWN_DISABLED= ImagePool._getImageUri("down-disabled.gif");
ImagePool.EDIT= ImagePool._getImageUri("edit.gif");
ImagePool.EDIT_LARGE= ImagePool._getImageUri("edit-current-query.gif");
ImagePool.ERROR= ImagePool._getImageUri("error.gif");
ImagePool.ERROR36= ImagePool._getImageUri("error_obj36.png");
ImagePool.GUESS_CATEGORY= ImagePool._getImageUri("guess_cat.gif");
ImagePool.INFO= ImagePool._getImageUri("info.gif");
ImagePool.INFO36= ImagePool._getImageUri("info_obj36.png");
ImagePool.LIST_ARROW= ImagePool._getImageUri("list-arrow.gif"); /* used in overview */
ImagePool.PIXEL= ImagePool._getImageUri("pixel.gif");
ImagePool.POPUP_DOWN_ARROW= ImagePool._getImageUri("popup-down-arrow.gif"); /* used in WorkItemEditorBanner */
ImagePool.ROWEDIT= ImagePool._getImageUri("row-edit.gif");
ImagePool.REMOVE= ImagePool._getImageUri("remove.gif");
ImagePool.REMOVE_HOVER= ImagePool._getImageUri("remove-hov.gif");
ImagePool.RESTORE= ImagePool._getImageUri("restore.gif");
ImagePool.RESTORE_HOVER= ImagePool._getImageUri("restore-hov.gif");
ImagePool.SECTION_TWISTIE_OPEN= ImagePool._getImageUri("q-ed_section-twistie-open.gif");
ImagePool.SECTION_TWISTIE_CLOSED= ImagePool._getImageUri("q-ed_section-twistie-closed.gif");
ImagePool.SMALLWARNING= ImagePool._getImageUri("smallwarning.gif"); /* used in overview */
ImagePool.SORT_DOWN= ImagePool._getImageUri("th-down-arrow.gif");
ImagePool.SORT_UP= ImagePool._getImageUri("th-up-arrow.gif");
ImagePool.TITLE_TWISTIE_OPEN= ImagePool._getImageUri("q-ed_title-twistie-open.gif");
ImagePool.TITLE_TWISTIE_CLOSED= ImagePool._getImageUri("q-ed_title-twistie-closed.gif");
ImagePool.UP= ImagePool._getImageUri("up.gif");
ImagePool.UP_DISABLED= ImagePool._getImageUri("up-disabled.gif");
ImagePool.USERS= ImagePool._getImageUri("users_obj.gif");
ImagePool.WARNING= ImagePool._getImageUri("warning.gif");
ImagePool.WARNING36= ImagePool._getImageUri("warn_obj36.png");
ImagePool.WORKITEM_QUERY= ImagePool._getImageUri("query_workitem.gif");
ImagePool.WORKITEM_WELCOME= ImagePool._getImageUri("workitem_welcome.gif");
ImagePool.WORKITEM_TYPE_SELECT= ImagePool._getImageUri("workitems-type-select.png"); //$NON-NLS-1$

})();