/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2010. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.ui.internal.view.editor.PrintWorkItemAction"); //$NON-NLS-1$
dojo.require("com.ibm.team.workitem.web.ui2.internal.action.AbstractAction"); //$NON-NLS-1$

(function(){
	
	dojo.declare("com.ibm.team.workitem.web.ui.internal.view.editor.PrintWorkItemAction", com.ibm.team.workitem.web.ui2.internal.action.AbstractAction, { //$NON-NLS-1$
	    run: function(){
	        if (!this.workingCopy.isNew()) {
	            window.open(this.workingCopy.object.locationUri + "?_mediaType=text/html&_selector=hover&_context=print", "_blank"); //$NON-NLS-1$ //$NON-NLS-2$
	        }
	    },
	    
	    isEnabled: function(){
	        return !this.workingCopy.isNew() && !this.workingCopy.isChanged();
	    }
	});
	
})();