/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.ui.internal.view.layout.IconMessageWidget");

dojo.require("com.ibm.team.workitem.web.ui.internal.view.layout.NameValueLayout");
	
dojo.require("net.jazz.ajax.toolbox.lang.internal.Lang");
dojo.requireLocalization("com.ibm.team.workitem.web.ui.internal", "WorkItemEditorMessages");

(function() {

var checkNotNull=	net.jazz.ajax.toolbox.lang.checkNotNull;

/* defineWidget */ dojo.declare(
	"com.ibm.team.workitem.web.ui.internal.view.layout.IconMessageWidget",
	com.ibm.team.workitem.web.ui.internal.view.layout.NameValueLayout, 
	{
	postCreate: function() {
		this.inherited(arguments);
		if(this.presentation.iconSize == -1) {
			this.addMessageRow(this.presentation.severity, this.presentation.message, this.presentation.color);
		} else {		
			this.addIconMessageRow(this.presentation.severity, this.presentation.message, this.presentation.iconSize ==0, this.presentation.color);
		}
	}
});
	
})();