/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.ui.internal.view.layout.LabelWidget");

	dojo.require("dijit._Widget");
	dojo.require("dijit._Templated");

dojo.require("com.ibm.team.workitem.web.ui.internal.view.layout.WidgetUtil");

(function() {

var WidgetUtil = com.ibm.team.workitem.web.ui.internal.view.layout.WidgetUtil;

/* defineWidget */ dojo.declare(
	"com.ibm.team.workitem.web.ui.internal.view.layout.LabelWidget",
	[dijit._Widget, dijit._Templated],
	{

		templateString: '<div class="LabelWidget">' +
						'<div dojoAttachPoint="_valueDIV" class="Value" tabindex="0"></div>' +
						'</div>',

		postCreate: function() {
			var text = document.createTextNode(WidgetUtil.getFirstValue(this.values));
			this._valueDIV.appendChild(text);
		}
	}
);

})();
