/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.ui.internal.view.layout.LineSeparatorWidget");

	dojo.require("dijit._Widget");
	dojo.require("dijit._Templated");

dojo.require("com.ibm.team.workitem.web.ui.internal.view.layout.WidgetUtil");

(function() {

var WidgetUtil = com.ibm.team.workitem.web.ui.internal.view.layout.WidgetUtil;

dojo.declare(
	"com.ibm.team.workitem.web.ui.internal.view.layout.LineSeparatorWidget",
	[dijit._Widget, dijit._Templated],
	{
		templateString: '<div class="LineSeparatorWidget">' +
						'<div class="LineSeparator"></div>' +
						'</div>',
		isSeparator: true,
		postCreate: function() {
			this.layoutHints = {
				isWide: true,
				mustBeWide: false,
				hideLabel: true
			}
		}
	}
);

})();
