/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.process.ui.internal.view.presentation.parts.StaticTextWidget");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("com.ibm.team.workitem.web.process.ui.internal.view.presentation.layout.LayoutUtil");

(function(){

var LayoutUtil = com.ibm.team.workitem.web.process.ui.internal.view.presentation.layout.LayoutUtil;

dojo.declare(
	"com.ibm.team.workitem.web.process.ui.internal.view.presentation.parts.StaticTextWidget",
	[dijit._Widget, dijit._Templated],
{
	templateString: '<div class="StaticTextWidget"><div dojoAttachPoint="_valueDIV" class="StaticText GreyLabel"></div></div>',
	properties: null,

	postCreate: function(){
		this.inherited(arguments);
		this._valueDIV.innerHTML = "";
		var text = LayoutUtil.getProperty(this.properties, "text") || "";
		this._valueDIV.appendChild(dojo.doc.createTextNode(text));
	}
});

})();