/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
 
(function() { // avoid variables in the global (window) scope
	
var WorkItemLinkTypes= dojo.provide("com.ibm.team.workitem.web.client.internal.WorkItemLinkTypes");

WorkItemLinkTypes.RELATED_WORK_ITEM= "com.ibm.team.workitem.linktype.relatedworkitem"; //$NON-NLS-1$
WorkItemLinkTypes.DUPLICATE_WORK_ITEM= "com.ibm.team.workitem.linktype.duplicateworkitem"; //$NON-NLS-1$
WorkItemLinkTypes.COPIED_WORK_ITEM= "com.ibm.team.workitem.linktype.copiedworkitem"; //$NON-NLS-1$
WorkItemLinkTypes.RELATED_ARTIFACT= "com.ibm.team.workitem.linktype.relatedartifact"; //$NON-NLS-1$
WorkItemLinkTypes.ATTACHMENT= "com.ibm.team.workitem.linktype.attachment"; //$NON-NLS-1$
WorkItemLinkTypes.BLOCKS_WORK_ITEM= "com.ibm.team.workitem.linktype.blocksworkitem"; //$NON-NLS-1$
WorkItemLinkTypes.PARENT_WORK_ITEM= "com.ibm.team.workitem.linktype.parentworkitem"; //$NON-NLS-1$
WorkItemLinkTypes.SCHEDULE_PREDECESSOR= "com.ibm.team.workitem.linktype.schedulePredecessor"; //$NON-NLS-1$
WorkItemLinkTypes.SCHEDULE_PREDECESSOR_TARGET= "predecessor"; //$NON-NLS-1$
WorkItemLinkTypes.SCHEDULE_PREDECESSOR_SOURCE= "successor"; //$NON-NLS-1$

// CALM link types
WorkItemLinkTypes.RELATED_CHANGE_MANAGEMENT= "com.ibm.team.workitem.linktype.relatedChangeManagement"; //$NON-NLS-1$
WorkItemLinkTypes.BLOCKS_EXECUTION_RECORD= "com.ibm.team.workitem.linktype.blocksTestExecutionRecord"; //$NON-NLS-1$
WorkItemLinkTypes.AFFECTS_EXECUTION_RESULT= "com.ibm.team.workitem.linktype.affectsExecutionResult"; //$NON-NLS-1$
WorkItemLinkTypes.TESTED_BY_TEST_CASE= "com.ibm.team.workitem.linktype.testedByTestCase"; //$NON-NLS-1$
WorkItemLinkTypes.IMPLEMENTS_REQUIREMENT= "com.ibm.team.workitem.linktype.implementsRequirement"; //$NON-NLS-1$
WorkItemLinkTypes.IMPLEMENTS_REQUIREMENT_COLLECTION= "com.ibm.team.workitem.linktype.implementsRequirementCollection"; //$NON-NLS-1$

// Common Planning
WorkItemLinkTypes.TIME_SHEET_ENTRY= "com.ibm.team.workitem.linktype.timeSheetEntry"; //$NON-NLS-1$

	
})();