/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.client.internal.query.SimilarityExpression");

(function() {

dojo.declare("com.ibm.team.workitem.web.client.internal.query.SimilarityExpression",
	null, {
		
	constructor: function() {
		this._expr= new Object();
	},
	
	setWorkItem: function(/*String*/ itemId) {
		this._expr.itemId= itemId || "";
	},
	
	setContent: function(/* String */ summary, /* String */ content) {
		this._expr.summary= summary || "";
		this._expr.content= content || "";
	},
	
	/* String */ serialize: function() {
		return dojo.toJson(this._expr);
	}
	
});

})();