﻿/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
 
class Chart extends LayoutObject implements IChart {

	public static var RGB_DARKEN_PERCENTAGE:Number = 30;
	
	public var shapes:Array;
	
	
	public function Chart() {
		super();
	}
	
	public function getShapes():Array {
		return this.shapes;
	}
	
	public function draw(parentMC:MovieClip):Void {
		this.shapes = new Array();
		this.mc = parentMC.createEmptyMovieClip("chart_mc", parentMC.getNextHighestDepth());
	}
	
	public function getPreferredWidth():Number {
		return Stage.width - ChartArea.MARGIN - ChartArea.MARGIN;
	}
	
	public function getPreferredHeight():Number {
		return Stage.height - ChartArea.MARGIN - ChartArea.MARGIN;
	}	
	
	public function destroy():Void {
		// Shapes		
		if (this.shapes) {
			for (var index:Number = 0; index < this.shapes.length; index++) {
				if (this.shapes[index]) {
					this.shapes[index].destroy();
					delete this.shapes[index];
				}			
			}
			delete this.shapes;			
		}		
		
		super.destroy();
	}			
	
}