/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8

({

	// Parameter Names

	'msgUndefined': "Undefined",
	'msgOther': "Other",
	
	// Table Presentation Messages
	
	'msgCount': "Count",
	'msgIcon': "icon",	
	
	// Error Messages
	
	'msgDrillChartParamsUndef': "Work item drill-in failure encountered.\nChart parameters are undefined.",	
	'msgWorkItemQueryFailure': "Work item query failure",
	'msgWorkItemQueryPermissionDenied': "You do not have permission to view this data.",
	'msgWorkItemAttributesFailure': "Failed to retrieve work item attributes",
	'msgNoFilterValueForLabel': "Work item drill-in failure encountered.\nNo internal filter value for label, '${0}'",
	'msgInvalidURLDetected': "Work item drill-in failure encountered.\nInvalid URL detected:\n${0}",
	'msgWorkItemDTOParseFailed': "Work item results DTO parsing failure",
	'msgChartParamGenFailure': "Chart parameter generation failure",
	'msgUnknownPresentationVal': "Unrecognized presentation value: ${0}",
	'msgUnknownPresentation': "Unknown presentation",
	'msgPreferenceFailure': "Preference loading failure",
	'msgMissingParameter': "No grouping parameter defined.",
	'msgMissingProjectArea': "No project area item ID defined.",
	'msgWorkItemDTOProblem': "Work item DTO parsing failure",
	'msgNotValidObjectType': "Variable is not a valid object type: ${0}",
	'msgVariableIsNull': "Variable is null: ${0}",
	'msgVariableIsNotANumber': "Variable is not a number: ${0}",
	'msgVariableIsNotAString': "Variable is not a string: ${0}",
	'msgVariableIsZeroLength': "Variable is zero length: ${0}",
	'msgVariableIsNotAnArray': "Variable is not an array: ${0}",
	'msgPropertyDoesNotExist': "Property does not exist: ${0}.${1}",
	'msgError': "[Error] ${0}",
	'msgFlashPluginMissing': "The Flash plug-in is not installed or not supported on this browser",
	
	// Status Messages
	
	'msgNoWorkItemQueryDef': "No work item query defined.",
	'msgWorkItemQueryNotExist': "The work item query does not exist.",
	'msgNoWorkItemsFound': "No work items found using this query.",
	'msgNoWorkItemsFoundGrouping': "No work items found using this query contain values for the grouping parameter: '${0}'.",
	
	// Settings Area Messages
	
	'msgSelectQuery': "[Select Query]",
	'msgNoMetagroupsDefined': "No group filters defined",
	
	// Actionable Status Messages
	
	'msgNoWorkItemQueryDefAction': "No work item query defined. Please <0>select a query</0>.",
	'msgWorkItemQueryNotExistAction': "The work item query does not exist. Please <0>select a new query</0>.",
	
	// Meta-Groups Dialog
	
	'msgMetagroupDesc': "Specify filters to group results under custom labels. Filter precedence is determined by the order they are specified.",
	'msgMetagroups': "Group Filters",
	'msgLabel': "Label",
	'msgPattern': "Filter",
	'msgAdd': "Add",
	'msgRemove': "Remove",
	
	// Parameter Name Chooser Dialog

	'msgSelectParameterName': "Select Parameter Name",
	'msgButtonOK': "OK",
	'msgButtonCancel': "Cancel",
		
	// General
	
	'msgLoading': "Loading..."
	
})