/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8

({
	// template strings
	EditorTitle: "Types and Attributes",
	TypeEditorDesc: "Define work item types, their attributes, and associate workflows and editor presentations.",
	WITypeListLabel: "Choose the Work Item Type to edit: ",
	Add: "Add...",
	Remove: "Remove",
	Details: "Details",
	ID: "ID:",
	Name: "Name:",
	Category: "Type Category:",
	Alias: "Alias:",
	Icon: "Icon:",
	NoIcon: "No Icon",
	Edit: "Edit...",
	PresentationEditor: "Editor Presentation:",
	WIEditor: "Work Item Editor:",
	InlineEditor: "Inline Work Item Editor:",
	LightEditor: "Lightweight Work Item Creation Dialog:",
	PlanEditor: "Plan Preview Editor:",
	EditPresentation: "Edit Editor Presentation",
	Workflow: "Workflow:",
	EditWorkflow: "Edit Workflow",
	AttrTableTitle: "Attributes",
	ShowCustomOnlyLabel: "Show only custom attributes",
	BuiltInAttr: "Built-in Attribute",
	CustAttr: "Custom Attribute",
	AttrName: "Name",
	AttrType: "Type",
	AttrID: "ID",
	Actions: "Actions",
	
	// WI types list
	Loading: "Loading...",
	AddType: "Add Type",
	AddTypeCategory: "Add a new type category",
	ChooseExistingTypeCategory: "Choose an existing type category",
	warnRemoveType: "Do you want to remove work item type '${0}'?",
	
	// editor presentation bindings
	None: "None",
	SelectPresentationTitle: "Select Editor Presentation",
	SelectPresentationDesc: "Specified editor presentation is used in multiple editors. Please select the editor you want to edit.",
	NoEditorPresentation: "Specified editor presentation is not used in any editor.",
	NoEditorSelected: "No editor is selected. Please select one.",
	
	// custom attributes
	AddAttrDlgTitle: "Add Attribute",
	EditAttrDlgTitle: "Edit Attribute",
	confirmRemoveAttr: "Do you want to remove attribute '${0}'?",
	AttrNameLabel: "Name:",
	AttrTypeLabel: "Type:",
	AttrIDLabel: "ID:",
	errAttrIDEmpty: "ID must not be empty",
	errAttrNameEmpty: "Name must not be empty",
	errAttrTypeEmpty: "Type must be selected",
	warnTitle: "Warning",
	warnWorkflowAffected: "Workflows are shared between work item types that belong to the same type category. The following work item types will be affected: ${0}",
	warnCustomAttrAffected: "Custom Attributes are shared between work item types that belong to the same type category. The following work item types will be affected: ${0}",
	warnBuiltin: "Modifying a built-in attribute will affect all Work Item types in this Project Area. Do you want to continue?",
	EnumType: "${0} (Enumeration)",
	
	// error messages
	errAttrIDUsed: "An attribute with the same ID already exists.",
	errIDUsed: "Specified ID is already used. Please specify a different one.",
	errCategoryEmpty: "Type category must not be empty",
	errCategoryUsed: "A Type Category with the same ID already exists. Please specify a different one.",
	errIDEmpty: "ID must not be empty"
})