/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
 // NLS_CHARSET=UTF-8
 
({
	'ariaLabelLink': "${0}: ${1}", // Link Type: Link Text, e.g., Mentions: Defect 12
	'ariaLabelLinkType': "Link Type: ${0}", // Link Type: Type, e.g., Link Type: Mentions
	'actionAdd': "Add...",
	'actionSet': "Set...",
	'actionAddNewThing':  "Add New ${0}",
	'actionLabelWithProject': "${0} (${1})",
	'attributeStatus': "Status",
	'attributeSeverity': "Severity",
	'attributeFoundIn': "Found In",
	'attributeFiledAgainst': "Filed Against",
	'attributeResolution': "Resolution",
	'attributeOwnedBy':  "Owned By", 
	'attributePriority': "Priority",
	'attributePlannedFor': "Planned For",
	'attributeDescription':  "Description", 
	'attributeNewComment':  "New Comment",	
	'busyCopying': "Copying...",  
	'busyLoading': "Loading...",
	'busyLoadingWorkItem': "Loading Work Item ${0}...",
	'busyLoadingApprovals': "Loading Approvals",
	'busyLoadingQueries': "Loading Queries",
	'busyMoving': "Moving...",
	'busyProgress': "Progress",
	'busySplitting': "Splitting...",
	'busySaving': "Saving...",
	'busyCreatingWorkItems': "Creating work items...",
	'busyWorking': "Working...",
	'busyRunningQuery': "Running query...",
	'busyRunningSearch': "Running search...",
	'busyUploading': "Uploading...",
	'busyEditingWorkItem': "Editing Work Item", 
	'buttonAdd': "Add",
	'buttonAddPrompt': "Add...",
	'buttonAddApprovers': "Add Approvers...",
	'buttonBackToCurrentQuery': "Back to Current Query",
	'buttonBackToItem': "Back to ${0}",
	'buttonCancel': "Cancel",
	'buttonClose': "Close",
	'buttonCreateWorkItem': "Create Work Item",
	'buttonCreateQuery': "Create Query",
	'buttonForwardToItem': "Forward to ${0}",
	'buttonOK': "OK",	
	'buttonPrevious': "Previous",
	'buttonRefresh': "Refresh",
	'buttonSave': "Save",
	'buttonSaveAndClose': "Save and Close",
	'buttonNew': "New",
	'buttonNewComment': "New Comment",
	'buttonNext': "Next",
	'buttonAddLink': "Add Link: ${0}",
	'confirmRefreshAfterStateChange': "Work Item ${0} has been changed in the repository by another user or client. The work item must be reloaded, discarding all local changes, including those made in plans. Do you want to reload the work item now?", // a work item number
	'chooserHeadingPersonal': "My Queries",
	'chooserHeadingShared': "Queries Shared by Others",
	'chooserHeadingTeam': "${0} Team Queries",
	'chooserHeadingProject': "Predefined Queries",
	'defaultOverviewTabTitle': "Overview", 
	'defaultGenericTabTitlePrefix': "Tab ${0}" ,
	'defaultTypeLabel': "Work Item",
	'dialogTitleAlert': "Alert",
	'dialogTitleConfirmRefreshOfUnsavedWorkItems': "Confirm Refresh Of Unsaved Work Items",
	'dialogTitleCreateWorkItem': "Create Work Item",
	'dialogTitleSelectWorkItemType': "Select Work Item Type",	
	'dialogTitleSelectMoveCopy': "Move or Copy ${0}",
	'dialogTitleSelectUrl': "Enter Related Artifact Link",
	'dialogTitleSelectWorkItem': "Select Work Item",
	'dialogTitleSelectWorkItems': "Select Work Items",
	'dialogTitleSelectWorkItem2': " - Select Work Item",
	'dialogTitleSelectWorkItems2': " - Select Work Items",
	'dialogTitleSelectPlannedFor': "Set Iteration",
	'dialogTitleSelectPlannedFor2': "- Select Planned For Target",
	'dialogTitleSelectServiceProvider': "Add Link",
	'dialogTitleSelectServiceProvider2': " - Select Service Provider", 
	'errorAttachmentUpload': "Error uploading file: ${0}",
	'errorAttachmentUploadFailed': "Upload failed. Response is: ${0}",
	'errorAttachmentServerNotResponding': "File upload failed:\nThe server or file upload service is not responding,\nan invalid fully qualified file name was provided,\nthe session timed out,\nor another error occured.",
	'errorConsoleDetails': "*** Error: ${0} | Details: ${1}",
	'errorFetchStoreDetails': "Error fetching or storing ${0} | Details: ${1}",
	'errorCreatingTab': "Error creating tab: ${0}",
	'errorCreatingWorkItemSet': "Error creating work item set from template ${0}. The work items were not created. Details: ${1}", // template name
	'errorCreatingNewWorkItem': "Error creating new work item",
	'errorCouldNotLoadWorkItem':  "Could not load work item. A work item with that number may not exist.",
	'errorNoDefaultWorkItemType': "The default work item type is not defined. Select a type using the Create Work Item button.",
	'errorEditingQuery': "Error editing query",
	'errorFetchingSearchResults': "Error running search query",
	'errorFailedToLoadEditableLinkTypes': "Error loading available link types. Adding links is disabled. Contact your project administrator.",	
	'errorFailedToLoadServiceDocument': "Problems loading the service document containing the picker information. ${0}",
	'errorFileSizeExceedsMaximumAllowed': "The uploaded file size exceeds the maximum file size allowed: ${0} bytes.",
	'errorFetchingWorkItemProperties': "Error loading properties for editing the work item",
	'errorRunningQuery': "Error running query",
	'errorFetchingSortOrderDefaults': "Error fetching sort order defaults",
	'errorFetchingItemTypes': "Error fetching work item types",
	'errorFetchingServerTime': 	"Error fetching server time: ${0}",
	'errorFetchingOwners': "A problem occurred while trying to fetch owners.",
	'errorGettingAttributeValue': "Error getting attribute value: ${0}",
	'errorInvalidFetchSimpleInputSelector': "Invalid fetchSimpleInputSelector: ${0}",
	'errorInvalidRegex': "Invalid regular expression: ${0}",
	'errorInvalidURI': "Invalid URI: ${0}",
	'errorInUpdateRefreshTimestamp': "Error in updateRefreshTimestamp: ${0}, ${1}",
	'errorLoadingTimeFromServer': "Error loading server time",
	'errorLoadingHistory':"Error loading History.",
	'errorLoadingProjectAreas': "Error loading project areas",
	'errorLoadingProperties': "Error loading properties for editing the work item",
	'errorLoadingPresentation': "Error loading presentation for editing the work item",
	'errorLoadingQuickInformation': "Error loading quick information presentation for editing the work item",
	'errorLoadingSimpleInfo': "Error loading simple info (${0}) for editing the work item",
	'errorOnlyOneProjectArea': "There is only one project area, so move and copy are not available.",
	'errorNoTemplateQuery': "The Create from Template query result cannot be shown. The URL cannot be reloaded. Create work items from a template to view the template creation results.",
	'errorNoWorkItemTypes': "The project area does not have any work item types. The work item cannot be created. Contact your project administrator to add a work item type to the project area.",
	'errorOpeningWorkItem': "Error opening work item",
	'errorOpeningWorkItemWithMessage': "Error opening work item. ${0}",
	'errorOpeningWorkItemMessage': "Work item ID must be a positive integer (saw ${0})",
	'errorPartNotSupportedInSlot': "Part \"${0}\" is not supported in slot \"${1}\". The presentation has been skipped.",
	'errorProcessAlreadySelected': "The item named \"${0}\" is already on the list. The selection is ignored.",
	'errorRunningDefaultQuery': "Error running default query",
	'errorRunningSavedQuery': "Error running saved query",
	'errorRunningPotentialDuplicatesQueryCouldNotConstruct': "Could not construct Potential Duplicates search.",
	'errorRunningPotentialDuplicatesQueryMissingArgument': "Missing argument: Potential Duplicates search must have an itemId, summary or content.",
	'errorServerNotResponding': "The server is not responding or a page navigation occurred before an operation completed.\n"
							+ "Check that your server connection is working and that the server is operational,\n" 
							+ "then try the action again or refresh the page.",
	'errorStoringInOperationSoCancel': "Error saving ${0}. Manually save or refresh the work item and try again. The operation has been stopped.\nDetails: ${1}", // id Label ("defect 12"), error message from server
	'errorFetchingInOperationSoCancel': "Error refreshing after saving ${0}. Manually save the work item and try again. The operation has been stopped.\nDetails: ${1}", // id Label ("defect 12"), error message from server
	'errorUnknownKeypressType': "WorkItemEditor#_handleGenericKeypress: unknown keypress type: ${0}",
	'errorUnknownDetails': "An error occurred. Check that your server connection is working and that the server is operational, then try the action again or refresh the page.",
	'errorUnhelpful':  "An error occurred which did not produce a helpful message.",
	'errorNoPermissions':  "Insufficient privileges to access this work item.",
	'headingApprovals': "Approvals",
	'headingRecentlyViewed': "Recently Viewed",
	'headingUnsavedWork': "Unsaved Work",
	'headingMyQueries': "My Queries",
	'headingSharedQueries': "Shared Queries",
	'labelAllOpenWorkItems': "All Unresolved Work Items",
	'labelAllWorkItems': "All Work Items",
	'labelApprovalApproved': "Approved",
	'labelApprovalCountApproved': "${0} Approved", // a number, e.g., 3 Approved
	'labelApprovalCountPending': "${0} Pending", // a number, e.g., 3 Pending
	'labelApprovalCountRejected': "${0} Rejected", // a number, e.g., 3 Rejected
	'labelApprovalCumulativeState': "Cumulative State: ${0}", // a state name, e.g., Pending
	'labelApprovalMyState': "Your State: ${0}", // a state name, e.g., Pending
	'labelApprovalPending': "Pending",
	'labelApprovalRejected': "Rejected",
	'labelApprovals': "Approvals",
	'labelAttachments': "Attachments",
	'labelAttachmentCancelUpload': "Cancel Upload",
	'labelAttachmentAddFile': "Add File:",
	'labelBytes': "${0} bytes",
	'labelCorrection': "Correction:",
	'labelCopy': "Copy",
	'labelCreatedBy':  "Created&nbsp;by",
	'labelCreateButtonText': "Create",
	'labelCreateItem': "Create Linked ${0}...", // work item or other item type (e.g., test case)
	'labelCreateFromTemplate': "Create from Template",
	'labelCreateTemplateInstance': "Create Work Item Set",
	'labelCreateWorkItem': "Create Work Item",
	'labelCurrentQuery': "Current Query: ",
	'labelCurrentWorkItem': "Current Work Item: ",
	'labelChangeAndConfigurationManagement': "Change and Configuration Management",
	'labelDate': "Date",
	'labelDateMinuteAgo': "1 minute ago",
	'labelDateMinutesAgo': "${0} minutes ago",
	'labelDateHourAgo': "1 hour ago",
	'labelDateHoursAgo': "${0} hours ago",
	'labelDateYesterday': "Yesterday",
	'labelDateDaysAgo': "${0} days ago",
	'labelDateLastWeek': "Last Week",
	'labelDescription': "Description",
	'labelDescriptionPlus': "Description ${0}",
	'labelDue': "Due",
	'labelDuplicateOf': "Duplicate Of",	
	'labelEnterSearchString': "Work Item Number or Words Contained in the Text. Use quotes for a phrase search:",
	'labelItemCount':"${0} (${1})", // item name + a number, e.g., subscribers (2)
	'labelID': "ID",
	'labelIn': " in ",
	'labelItemsChanged': "Items changed:",
	'labelKBytes': "${0} KB",
	'labelLink': "Link",
	'labelListOfUsers': "Users",
	'labelListOfProcessAreas': "Process Areas",
	'labelListOfProjectAreas': "Project Areas",
	'labelListOfTeamAreas': "Team Areas",
	'labelListOfWorkItems': "Work Items",
	'labelListOfSubscribers': "Subscribers",
	'labelListOfItems': "Items",
	'labelListNoItemsDefault': "No Items.",
	'labelListNoItems': "No ${0}.",
	'labelListWorkItem': "${0} ${1}", // e.g., Defect 124, Task 2345. 0 is type, 1 is number.
	'labelLoaded': "Loaded: ${0}",
	'labelLoadingNewItemServiceProviders':  "Loading New Item service providers...",
	'labelLoadingSelectItemServiceProviders':  "Loading Select Item service providers...",
	'labelMatching': "Matching Work Items:",
	'labelMore': "More...",
	'labelMoveCopy': "Move or Copy",
	'labelMove': "Move",
	'labelName': "Name",
	'labelNameSummary': "${0}: ${1}",  // {Defect 123}: {summary text}
	'labelNew': "New",
	'labelNewQuery': "New Query",
	'labelDefaultQueryName': "New Query",
	'labelNone': "None",
	'labelNoAttachments': "No Attachments.",
	'labelNoEditorPresentationForThisType': "No inline editor presentation has been defined for this type of work item. Contact your project adminsitrator.",
	'labelNoDescription': "No Description.",
	'labelNoCommentContent': "No comment content.",
	'labelNoHistory': "No History.",
	'labelNoLinks': "No Links.",
	'labelNoTemplates': "No Templates.",
	'labelNotAvailable': "Not Available",
	'labelNow': "Now",
	'labelNotResolved': "Not Resolved",
	'labelPotentialDuplicates': "Potential Duplicates",
	'labelProjectArea' : "Project Area",
	'labelQuery': "Query",
	'labelQueryPicker': "Select a query from the tree below:",
	'labelQuickInformation': "Quick Information",
	'labelQuickInformationApproval': "${0}: ${1} (${2} of ${3})", // approvalName: State (number of number)
	'labelRationalTeamConcert': "Rational Team Concert",
	'labelRelated': "Related",
	'labelRecentlyViewedExcluding': "Recently Viewed Work Items excluding ${0} ${1}:",
	'labelRecentlyViewedExcludingThisWorkItem': "Recently Viewed Work Items excluding this work item:",
	'labelRecentlyViewed': "Recently Viewed Work Items:",
	'labelRequired': "* ",
	'labelRepository': "Repository: ${0} at ${1}", // The HOSTNAME and URL of the server
	'labelSearchByKeyword': "Search by Keyword or Work Item Number",
	'labelSearchByQuery': "Search by Query",
	'labelServiceProviders': "Service Providers",
	'labelSelectServiceProviderAndPressOK': "Select a Service Provider and press OK to link to a resource.",
	'labelSelectPlannedForAndPressOK': "Select a Planned For value and press OK.",
	'labelSelectNew': "Create New",
	'labelSelectExisting': "Select Existing",
	
	'labelNoName': "[No Name]",
	'labelNoSummary': "[No Summary]",
	'labelNewOfItemType': "[New ${0}] ${1}",  // Work item type, summary
	'labelNewWorkItem': "[New Work Item] ${0}", // Work item type, the summary of the work item if any
	'labelNewQuery': "* [New Query]", // Shown in the menu for new queries
	'labelNewQueryForMenu': "* [New Query] ${0}", // Shown in the menu for new queries
	
	'labelSimpleQuery': "Simple Query",
	'labelSaved': "Saved: ${0}", // the id
	'labelShowTemplate': "Show Template",
	'labelSize': "Size",
	'labelSummary': "Summary: ",
	'labelSubscriptions': "Subscriptions",
	'labelState': "State",
	'labelStoredInRepository': "Stored in Repository",
	'labelProjectAreaAttribute': "Project Area",
	'labelResourceUrl': "Resource URL",
	'labelResourceComment': "Comment",
	'labelRevertTypeChange': "Revert Type Change", // allow undo when the new type does not show type
	'labelTeamAreaAttribute': "Team Area",
	'labelTemplate': "Template",
	'labelTemplates': "Templates",
	'labelType': "Type",
	'labelTypeId': "${0} ${1}",
	'labelTypeFilter': "Type",
	'labelUnknownError': "Unknown",
	'labelUnknown': "Unknown",
	'labelUnknownItem': "Unknown Item",
	'labelUnassigned': "Unassigned",
	'labelUnnamed': "Unnamed",
	'labelUnsavedWorkItems': "Unsaved Work Items",
	'labelValue' : "${0}: ",	
	'labelWorkItem': "Work Item",
	'labelWorkItems': "Work Items",
	'labelWorkItemSet': "Work Item Set",
	'labelWorkItemTypes': "Work Item Types",
	'labelWorkItemSetFromTemplate': "Work Item Set from ${0}", // template name
	'labelWorkItemsComponent': "Work Items",
	'labelWorkItemsWelcome': "Welcome",
	'loading': "Loading...",
	'menuSectionAbout':"About",
	'menuSectionProjectArea': "Project Area",
	'menuSectionServiceProvider': "Service Provider",
	'menuSectionServer':"Server",
	'menuSectionRationalTeamConcert': "Rational Team Concert",
	'menuItemSelectType': "Select Type...",
	'menuItemShowMyQueries': "My Queries",
	'menuItemShowSharedQueries': "Shared Queries",
	'menuItemServiceProviderOnServer': "${0} on<br/><span class='menuItemServiceProviderHostname'>${1}</span>", // e.g. IBM Rational Team Concert <br/>on jazz.net 
	'menuItemServiceProviderRTC': "IBM Rational Team Concert",
	'menuSectionCreateQuery': "Create Query",
	'menuSectionCreateWorkItem': "Create Work Item",
	'menuSectionCreateWorkItemSet': "Create Work Item Set",
	'menuSectionNoRecentItems': "No recent items.",
	'menuSectionQueries': "Queries",
	'menuSectionRecentlyViewed': "Recently Viewed",
	'menuSectionRecentQueries': "Recently Viewed Queries",
	'menuSectionRecentWorkItems': "Recently Viewed Work Items",
	'menuSectionShowQueries': "Show Queries",	
	'menuSectionUnsavedWorkItems': "Unsaved Work Items",
	'menuSectionUnsavedQueries': "Unsaved Queries",
	'menuSectionUnsavedQuery': "Unsaved Query",
	'menuSectionWelcome': "Welcome",
	'menuSectionWelcomeToWorkItems': "Welcome to Work Items",
	'msgLogProcessingItems': "Processing ${0} items...",
	'msgLogAttributeUpdateCompleteSuccess': "Attribute update(s) completed.",
	'msgLogAttributeUpdateCompleteWithFailures': "Attribute update(s) completed with errors.",
	'msgLogAttributeUpdateFailureError': "*Error* ${0}: ${1} Details: ${2}",  // work item label, message, details
	'msgLogAttributeUpdateFailureWarning': "*Warning* ${0}: ${1} ${2}",  // work item label, message, details
	'msgLogFailedUpdating': "Attribute update failed for: ${0}. ${1}",
	'msgLogOperationCompleteSuccess': "Operation complete: ${0} item(s) updated.",
	'msgLogOperationEnded': "Processing ended.",
	'msgLogOperationCancelled': "Processing cancelled.",
	'msgLogOperationFailed': "Operation failed. Details: ${0}",
	'msgLogUpdatingFetching': "Updating Work Item ${0} - Fetching",
	'msgLogUpdatingFromCache': "Updating Work Item ${0} - Found in cache",
	'msgLogUpdatingStoring': "Saving Work Item ${0} - Storing",
	'msgLogUpdatingRefreshing': "Refreshing Work Item ${0} - Refreshing",
	'msgLogUpdatingRefreshingStart': "Refreshing open work item(s)...",
	'msgLogRefreshComplete': "Refresh complete.",
	'msgLogUpdateComplete': "Update complete: ${0}",
	'msgLogSaveComplete': "Save complete: ${0}",
	'msgSaveBeforeSplit': "The work item must be saved before the Continue Work for Owner action. Save ?",
	'msgSaveBeforeSplitCheckTimeSpent': "Time Spent is empty. The work item will not be split.",
	'msgLogErrorInvalidId': "Invalid id found: ${0}. The operation is terminated.",
	'msgLogErrorFetching': "Failed to fetch Work Item ${0}",
	'msgLogErrorStoring': "Failed to store Work Item ${0}",
	'msgLogErrorRefreshing': "Failed to refresh ${0}",
	'msgApprovalApproved': "${0} approved",
	'msgApprovalPending': "${0} pending", 
	'msgApprovalRejected': "${0} rejected",
	'msgApprovalCount': "Approvals (${0})",
	'msgApprovalNameValidation': "The name may not be empty or longer than 250 characters and must be unique within the work item. Leave the name blank to generate a default name.",
	'msgAttachmentAlreadyAdded': "An attachment with the specified file name already exists.\n(${0})",
	'msgAttachmentUploadError': "An error occured during file upload.\nThe server or file upload service is not responding,\nor an invalid fully qualified file name was provided.",
	'msgAttachmentNotLoggedIn': "Log in to add or remove attachments.",
	'msgApproval': "Approval",
	'msgNoApprovals': "No Approvals",
	'msgAddDuplicateOfLink': "Add \"Duplicate Of\" link.",
	'msgAddDuplicateOfLinkDetails': "Click to create a link to the \"Duplicate Of\" work item.",
	'msgBackgroundOperationStopped': "The multiple work item update operation was stopped.",
	'msgError': "Error!",
	'msgAnErrorOccured': "An error occured.",
	'msgClickToCreate': "Click to create a ${0} or use the drop down to select a type to create.",
	'msgClickToCreateDefault': "Click to create a default work item or use the drop down to select a type to create.",
	'msgConfirmingSaveAll': "All unsaved work items must be saved. Confirming save of ${0} items.",
	'msgDefaultEMailSubject': "About that Work Item...",
	'msgDurationValidation': "Enter the time spent, e.g. \"1w 2d 3h 4m\", default unit is \"h\".",
	'msgEstimateValidation': "Enter a time estimate, e.g. \"1w 2d 3h 4m\", default unit is \"h\".",
	'msgHistoryChangeBy': "Change by ${0} (${1})",
	'msgInfosMore': "${0} (plus ${1} more, click to view)",
	'msgLinkCannotReferenceItself': "A work item cannot link to itself. The selected work item was skipped.",
	'msgNoSuchWorkItem': "Work Item ${0} does not exist. Search for a different work item number.",
	'msgParenCount': "(${0})",
	'msgProjectAreaIsArchived': "The project area for this work item has been archived.",
	'msgProjectAreaIsDifferent': "The project area for this work item (${0}) is different from the project area context for the page (${1}).",	
	'msgProjectAreaIsDifferentDetails': "The page displayed has a project area context which determines how things work such as the search scope and the defaults when selecting linked work items. " +
	     		"Work items in other project areas can be viewed and edited, but some actions will default to the page's project area context.",
	'msgQueryNotFound': "Query does not exist",
	'msgQueryNoDefaultQueryFound': "No default query found",
	'msgRefreshToMergeWithTheLatestUpdates': "Refresh to merge with the latest updates.",
	'msgRemoveDuplicateOfLink': "Remove \"Duplicate Of\" link.",
	'msgRemoveDuplicateOfLinkDetails': "Remove the \"Duplicate Of\" link. You may need to Save or Reopen before assigning a duplicate.",
	'msgResolutionChangedToDuplicate': "Since a \"Duplicate Of\" link has been added, the resolution has been changed to \"Duplicate\".",
	'msgResolutionChangedToDuplicateDetails': "Either save the work item as a duplicate or remove the \"Duplicate Of\" link and change the resolution.",
	'msgResolutionSet': "The work item has a \"Duplicate Of\" link so the Resolution has been changed to \"Duplicate\". To change the status or resolution, first remove the \"Duplicate Of\" link.",
	'msgResults': "${0} result(s)",
	'msgSearchResultsOpen': "Search Results for ${0} in Open Work Items", 
	'msgSearchResults': "Search Results for ${0}",
	'msgSaveAllComplete': "Save operation(s) complete.",
	'msgSaveCancelledDueToUpload': "Save cancelled.",
	'msgSaveCancelledDueToUploadDetails': "The Save operation was cancelled because an upload was in progress.",
	'msgStartingSaveAllOperation': "Saving ${0} items...",
	'msgStartingBulkUpdateOperation': "Updating ${0} item(s)...",
	'msgTypeChange':"The work item type has changed. Click here to load the presentation for the selected type.",
	'msgValueNotValid': "The value is not valid.",
	'msgWelcomeText': "To get started, " +
					"<a dojoAttachPoint='_createWorkItemANCHOR' href='${0}' title='Create a new work item of the default type'>create a new work item</a>, " +
					"<a href='${1}' title='Create a new query'>create a new query</a>, " +
					"<a href='${2}' title='Select a query and run it to choose from a set of work items'>show queries</a>" +
 					", or search for a work item.",
	'msgWelcomeToShowQueries': "Queries",
	'msgWelcomeToWorkItems': "Welcome to Work Items",
	'noPickerProvided': "Project '${0}' provides no selection dialog.",
	'noQueriesFound': "No queries were found for the current selection.",
	'operationOpeningNewWorkItem': "Opening New Work Item",
	'operationOpeningQuery': "Opening Query",	
	'operationLoadingTypeDefinition': "Loading type definition",
	'operationRunningDefaultQuery': "Running default query",
	'operationRunningQuery': "Running Query",
	'operationRunningQueryNamed': "Running Query ${0}",
	'operationOpeningWorkItem': "Opening Work Item ${0}",
	'optionNotAvailable': "Not Available",
	'optionPlusMore': "(plus ${0} more)",
	'optionShowAll': "(Show All)",
	'optionMore': "More...",
	'pageTitleNewWorkItem': "New Work Item",
	'pageTitleQuery': "Query: ${0}",
	'pageTitleShowQueries': "Queries",
	'pageTitleWorkItem': "Work Item",
	'pageTitleWorkItems': "Work Items",
	'pageTitleWorkItemSummary': "${0} ${1}: ${2}", // type num: summary
	'pageTitleWorkItemSummaryMore': "${0} ${1}: ${2}...", // type num: summary...
	'promptAttachmentUploadInProgress' : "An attachment upload is in progress.\nClick OK to save anyway, or Cancel to cancel the Save.\nThe upload may complete before this message is closed.\n\nDo you want to stop the attachment upload in progress and save?",
	'promptAttachmentUploadSizeEmptyConfirm': "The file uploaded is empty (size=0). Do you want to attach the empty file?\nFile name: ${0}",
	'promptConfirmSaveAll': "All unsaved work items must be saved. Do you want to save ${0} item(s)?",
	'promptConfirmRefreshOfUnsavedWorkItem': "The unsaved work item you are editing has changed in the repository. You must refresh this work item before you can save your changes. Refreshing will undo all your editor changes except to a new comment value. Do you want to refresh the unsaved work item now?",
	'promptConfirmRefreshOfUnsavedWorkItems': "Some of the unsaved work items you are editing have changed in the repository. You must refresh these work items before you can save your changes. Refreshing will undo all your editor changes except to a new comment values. Do you want to refresh ${0} unsaved work items now?",
	'promptConfirmRefreshOfUnsavedWorkItemsCancelled': "Review your unsaved work and copy any information you do not wish to lose, then press refresh on a work item editor to synchronize the work items displayed by the client with the values in the repository.",
	'promptEnterRelatedUri': "Enter the URI of the related artifact.",
    'promptCancelWorkItemEdit': "You will lose the unsaved changes if you cancel. Do you want to cancel?",
    'promptCloseWorkItemEdit': "You will lose the unsaved changes if you close. Do you want to close?",
	'promptLogInOrCancelWorkItemEdit': "You must be logged in to edit or create work items.\nPress OK to log in or Cancel to refresh.",
	'promptNavigateAway': "Are you sure you want to navigate away from this page? You have unsaved changes.${0}\nYou can change pages but must remember to return to the Work Items page to finish your unsaved work.\n\nPress OK to continue, or Cancel to stay on the current page.",
	'promptResetContinue': "Resetting will result in losing your changes. Continue with the reset action?",
	'promptResetLostChangesContinue': "Resetting will result in losing your changes except for your unsaved comment.\nYour unsaved comment will not be removed, but you must save it after the refresh action to add it to the work item.\n\nContinue with the reset action?",
	'promptRefreshContinue': "Refreshing will result in losing your changes. Continue with the refresh action?",
	'promptRefreshLostChangesContinue':"Refreshing will result in losing your changes except for your unsaved comment.\nYour unsaved comment will not be removed, but you must save it after the refresh action to add it to the work item.\n\nContinue with the refresh action?",
	'promptSelectProjectArea':"A Team Area was selected. Pleases select a Project Area.",
	'promptSelectTeamArea':"A Project Area was selected. Pleases select a Team Area.",
	'promptSave': "Save ${0}?",
	'promptUnsavedWorkItems': "You have unsaved work on the Work Items page.",
	'tabTitleMyQueries': "My Queries",
	'tabTitleSharedQueries': "Shared Queries",
	'titleApprovalDelete': "Delete this approval from the work item",
	'titleApprovalRestore': "Restore this deleted approval",
	'titleApproverDelete': "Delete this approver from the approval",
	'titleApproverRestore': "Restore this deleted approver",
	'titleAttachmentDelete': "Remove the attachment",
	'titleAttachmentRestore':"Restore the deleted attachment.",
	'titleAttachmentCancelUpload': "Cancel upload",
	'titleCommentCollapse': "Collapse Comment",
	'titleCommentExpand': "Expand Comment",
	'titleCommentSendEmail': "Send an E-mail to the user",
	'titleCreateWorkItemSet': "Create the set of work items specified by the template.",
	'titleFindPotentialDuplicates': "Find Potential Duplicates",
	'titleFileNameSizeK': "${0} (size: ${1}K)", // e.g. filename (size: 123K)
	'titleAddToThingsList': "Add to ${0} List...", // attribute label or attribute id. E.g. "Add to Subscribers List"
	'titleItemRemove':"Remove this item from the list",
	'titleItemRestore':"Restore this removed item",
	'titleLinkDelete': "Delete this link from the work item",
	'titleLinkRestore': "Restore this deleted link",
	'titleMoveCopy': "Move or copy this work item to another project area",
	'titleNotSavedYet': "This work item has not yet been saved.",
	'titleSelectApprovers': "Select Approvers",
	'titleSelectOwner': "Select Owner",
	'titleShowMostRecentQueryResults': "Show the most recent query results without rerunning it.",
	'titleRunMostRecentQueryResults': "Run the most recent query again to show the latest results.",
	'titleSubscribeMe': "Subscribe Me",
	'titleUnsubscribeMe': "Unsubscribe Me",
	'titleUserNameWithId': "${0} (@${1})", // e.g., Larry Smith (@websmith)
	'titleUserId': "@${0}", // e.g., @websmith
	'titleRevertTypeChanage': "Change the type to the original type.",
	'titleRefreshWorkItem': "Refresh the work item values with its saved state.",
	'titleRequiredMarker': "The value is required.",
	'titleRemoveWorkItem': "Cancel changes without saving and remove the work item from the view",
	'titleResetWorkItem': "Reset the new work item to the default new state.",
	'titleResetTemplate': "Reset the template to it's initial state.",
	'titleThisIsCurrent': "This is the current work item.",
	'titleAWorkItem': "A work item",
	'titleAnUnsavedNewWorkItem': "An unsaved new work item",
	'titleThisIsLinked': "This work item is already linked."
})	