/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
/*
 * NOTE: Please do not change or remove any tags (e.g. "<0>text</0>"). They are used to denote hyperlinks and style.
 */
// NLS_CHARSET=UTF-8

({
	// Shared
	'loading': "Loading...",
	
	// Work Items Viewlet
	'noResults': "No work items found.",
	'noResultsFilter': "No work items found matching filter.",
	'deletedQuery': "The work item query does not exist. ", // space on the end is necessary for formatting
	'noQuery': "No work item query defined. ", // space on the end is necessary for formatting
	'selectQuery': "Please <0>select a query</0>.",
	'selectNewQuery': "Please <0>select a new query</0>.",
	'showMore': "Show more",
	'showLess': "Show less",
	'description': "Description:",
	'noDescription': "No Description.",
	'discussion': "Discussion:",
	'noDiscussion': "No Discussion.",
	'goTo': "Go to work item...",
	'severity': "Severity: ${0}",
	'priority': "Priority: ${0}",
	'status': "Status: ${0}",
	'resolution': "Resolution: ${0}",
	'unknownError': "An error occurred retrieving the results from the server.",
	'refresh': "Refresh",
	'viewletLogin': "You must log into ${0} to view this content.",
	'viewletLogin2': "Log In",
	'viewletNotLoggedIn': "(not logged in)",
	'selectAQuery': "Select a query",
	'valueUndefined': "Undefined",
	
	// Work Item Queries Viewlet
	'loadingL': "loading...",
	'noQueries': "No queries defined. ", // space on the end is necessary for formatting
	'emptyQueries': "All selected queries are empty. ", // space on the end is necessary for formatting
	'noQueriesHelp': "To add queries, select <0>Edit Contents</0> from the viewlet menu.",
	'emptyQueriesHelp': "To view them enable the <1>Show empty queries</1> preference or to add more, select <0>Edit Contents</0> from the viewlet menu.",
	'add': "Add",
	'deleteAll': "Delete All",
	'resultCount': "Showing 10 of ${0} results.",
	'showAll': "Show all",
	'noResults2': "There are no related items.",
	'runningQuery': "Running query...",
	
	// WorkItemQueryChooser
	'chooserTitle': "Work Item Queries",
	'chooserInstructMulti': "Select one or more queries from the tree below. (CTRL+click for multi-select)",
	'chooserInstructSingle': "Select a query from the tree below.",
	'chooserHeadingPersonal': "My Queries",
	'chooserHeadingShared': "Queries Shared by Others",
	'chooserHeadingTeam': "${0} Team Queries",
	'chooserHeadingProject': "Predefined Queries",
	'ok': "OK",
	'cancel': "Cancel",
	'noQueriesFound': "No queries were found for the current selection.",
	'showQueriesFor': "Show queries for ", // space on the end is necessary for formatting
	'description': "Description: ",
	
	// WorkItemQueryPreferenceProvider
	'providerNoQuery': "No query selected",
	'providerPermissionDenied': "Permission denied",
	
	// SecondIconPreferenceProvider
	'secondIconTitle': "Select Additional Icons",
	'secondIconSelected': "Selected Attributes:",
	'secondIconUnselected': "Available Attributes:",
	
	// WorkItemsGadget
	'backToResults': "< Back to Results",
	'showDetails': "Show Details",
	'save': "Save",
	'none': "None",
	'iconTooltip': "${0}: ${1}",
	'gadgetLogin': "You must <0>log in</0> to view this content."
	
})
