/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
 
(function() { // avoid variables in the global (window) scope
	
var EventTopics= dojo.provide("com.ibm.team.workitem.web.ui.internal.page.EventTopics");

EventTopics.BUILDER_POST_SAVE= "builder/postSave";
EventTopics.INITIALIZE_QUERIES= "pageview/initializeQueries";
EventTopics.CHANGE_PROJECT_AREA= "pageview/changeProjectArea";
EventTopics.ITEMPROXY_DESTROYED= "itemproxy/destroyed";
EventTopics.QUERY_EDITOR_CHANGED= "query/editorChanged";
EventTopics.QUERY_EDITOR_NAME_CHANGED= "query/editorNameChanged";
EventTopics.QUERY_DELETED= "query/deleted";
EventTopics.SHOW_ERROR_PAGE= "workitem/view/errorpage";
EventTopics.SHOW_WELCOME_PAGE= "workitem/view/welcomepage";
EventTopics.STOP_BACKGROUND_OPERATIONS= "workitem/operations/stop";
EventTopics.WORKITEM_ABOUT_TO_SAVE= "workitem/aboutToSave";
EventTopics.WORKITEM_CHANGED= "workitem/changed";
EventTopics.WORKITEM_COMPONENT_MENU_LOADED= "rtc/workitems/page/menuloaded";
EventTopics.WORKITEM_CREATED= "workitem/created";
EventTopics.WORKITEM_EDITOR_CHANGED= "workitem/editorChanged";
EventTopics.WORKITEM_EDITABLE_PROPERTIES_CHANGED = "rtc/workitems/editableProperties/changed";
EventTopics.WORKITEM_PRESENTATION_CHANGED= "workitem/presentationChanged";
EventTopics.WORKITEM_REFRESH_CACHE = "workitem/cache/refresh";
EventTopics.WORKITEM_REFRESHED= "workitem/refreshed";
EventTopics.WORKITEM_REPOSITORY_ITEMS_CHANGED = "workitem/cache/changed";
EventTopics.WORKITEM_REQUIRED_PROPERTIES_CHANGED = "workitem/requiredproperties/changed";
EventTopics.WORKITEM_RICH_TEXT_RESIZED = "rtc/workitems/richtext/resized";
EventTopics.WORKITEM_TYPE_CHANGED= "workitem.attributes.workItemType/changed";
EventTopics.WORKITEM_STORED= "workitem/stored";
EventTopics.WORKITEM_VIEW_CHANGED= "workitem/view/changed";

EventTopics.WORKITEM_PAGE_LOADED="rtc/workitems/page/loaded";
EventTopics.WORKITEM_QUERY_VIEWED="rtc/workitems/query/viewed";
EventTopics.WORKITEM_OPERATION_SELECTIONS_CHANGED="rtc/workitems/query/operation/selection/changed";
EventTopics.WORKITEM_ITEM_VIEWED="rtc/workitems/item/viewed";
EventTopics.WORKITEM_ITEMS_DELETED= "rtc/workitems/items/deleted";

EventTopics.WORKITEM_ACTION_COMPONENT_MENU_REFRESH= "rtc/workitems/page/menu/refresh";
EventTopics.WORKITEM_ACTION_COMPONENT_MENU_SETPAGEDIRTY= "rtc/workitems/page/menu/setPageDirty";
EventTopics.WORKITEM_ACTION_CREATE_FROM_TEMPLATE= "rtc/workitems/actions/createFromTemplate";
EventTopics.WORKITEM_ACTION_GET_CURRENT_RESULTS= "rtc/workitems/query/getResults";
EventTopics.WORKITEM_ACTION_HANDLE_QUICK_SEARCH= "rtc/workitems/actions/handleQuickSearch";
EventTopics.WORKITEM_ACTION_REFRESH_QUERIES= "rtc/workitems/actions/refreshQueries";
EventTopics.WORKITEM_ACTION_CLEAR_QUERIES= "rtc/workitems/actions/clearQueries";
EventTopics.WORKITEM_ACTION_CLEAR_QUERY_EDITOR= "rtc/workitems/actions/clearQueryEditor";
EventTopics.WORKITEM_ACTION_SHOW_QUERIES= "rtc/workitems/actions/showQueries";
EventTopics.WORKITEM_ACTION_TOGGLE_GRID_GROUP= "rtc/workitems/actions/hideGridChildren"; // parameter is a itemId of a grid element
EventTopics.WORKITEM_ACTION_SET_BREADCRUMBS= "rtc/workitems/actions/setBreadcrumbs";
EventTopics.WORKITEM_ACTION_SET_HEADER_BREADCRUMBS= "rtc/workitems/actions/setHeaderBreadcrumbs";
EventTopics.WORKITEM_ACTION_SET_MESSAGEBOX= "rtc/workitems/actions/setMessageBox";
EventTopics.WORKITEM_ACTION_NOTIFY_INLINE_TO_PUBLISH_ITEM_VIEWED= "rtc/workitems/actions/notifyInlineEditorToPublishItemViewed";
EventTopics.WORKITEM_ACTION_SHOW_RICH_TEXT= "rtc/workitems/actions/showRichText";
// Working copy events... these constants are used for listener changes to WorkItemProxy
EventTopics.ON_CHANGE= "onchange";
EventTopics.ON_DEPENDENCY_CHANGE= "onDependencyChange";
EventTopics.ON_REFRESH= "onrefresh";

})();