/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.ui.internal.view.common.ContentArea");

	dojo.require("dijit._Widget");
	dojo.require("dijit._Templated");
	
dojo.require("dojox.xml.parser");

dojo.require("net.jazz.ajax.toolbox.lang.internal.Lang");

(function() {

var checkNotNull 	= net.jazz.ajax.toolbox.lang.checkNotNull;

/* defineWidget */ dojo.declare( "com.ibm.team.workitem.web.ui.internal.view.common.ContentArea",	[dijit._Widget, dijit._Templated],	{

	templatePath: dojo.moduleUrl("com.ibm.team.workitem.web", "ui/internal/view/common/templates/ContentArea.html"),
	// templateCssPath: dojo.uri.dojoUri("../com.ibm.team.workitem.web/ui/internal/view/common/templates/ContentArea.css"),

	postCreate: function() { 
		checkNotNull(this.controller, "this.controller");
	},
	
	setContent: function(mainContentDomNode, bannerDomNode) {
		checkNotNull(mainContentDomNode, "mainContentDomNode");
		
		// optionally set the meta-content area
		dojox.xml.parser.removeChildren(this._metaAreaContainer);
		if (bannerDomNode) {
			this._metaAreaContainer.appendChild(bannerDomNode);
		}
		
		// always set the main content area
		dojox.xml.parser.removeChildren(this._contentAreaContainer);
		this._contentAreaContainer.appendChild(mainContentDomNode);
	}
});

})();