/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.ui.internal.view.editor.parts.ItemListPart");
dojo.require("com.ibm.team.workitem.web.ui.internal.view.editor.EditorUtil");
dojo.require("com.ibm.team.workitem.web.ui.internal.view.editor.SelectWorkItemDialog");
dojo.require("com.ibm.team.workitem.web.ui.internal.view.editor.parts.SubscribersPart");
dojo.require("com.ibm.team.workitem.web.client.util");
dojo.require("com.ibm.team.workitem.web.ui.internal.view.layout.LayoutUtil");
/*
 * Handle presentation operations pertaining to the owner attribute
 */
(function() {

var EditorUtil = com.ibm.team.workitem.web.ui.internal.view.editor.EditorUtil;
var WorkItemUtil = com.ibm.team.workitem.web.client.util;

/* defineWidget */ dojo.declare(
	"com.ibm.team.workitem.web.ui.internal.view.editor.parts.ItemListPart",
	[com.ibm.team.workitem.web.ui.internal.view.editor.parts.SubscribersPart],
	{
		postCreate: function() {
			this.inherited(arguments);
		},
		isReadOnly: function() {
			return true;
		},
		_getItemLabel: function(item) {
			if ("com.ibm.team.workitem.rest.dto:WorkItemDTO" == item._eQualifiedClassName) {
				if (dojo.isArray(item.attributes)) {
					item.attributes= WorkItemUtil.buildMap(item.attributes);
				}
				return EditorUtil.getSummaryLabel(item, true);
			}
			return this.inherited(arguments);
		}
	}
);

})();
