/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.ui.internal.view.layout.TwoColumnLayout");

	dojo.require("dijit._Widget");
	dojo.require("dijit._Templated");
	
dojo.require("net.jazz.ajax.toolbox.lang.internal.Lang");

(function() {

var checkNotNull=	net.jazz.ajax.toolbox.lang.checkNotNull;

/* defineWidget */ dojo.declare(
	"com.ibm.team.workitem.web.ui.internal.view.layout.TwoColumnLayout",
	[dijit._Widget, dijit._Templated], 
	{
	templatePath: dojo.moduleUrl("com.ibm.team.workitem.web", "ui/internal/view/layout/templates/TwoColumnLayout.html"),
	postCreate: function() {
//		checkNotNull(this.parentController, "this.controller");
	},
	addSection: function(widget, /* "left" or "right" or "single" */ position){
		if(position=="single") {
			this._leftDIV.className = "SingleColumn";
			this._addSection(widget, this._leftDIV)
//			this._rightDIV.style.visibility = "hidden";
			this._rightDIV.style.display = "none";
		} else if(position=="left") {
			this._addSection(widget, this._leftDIV)
		} else {
			this._addSection(widget, this._rightDIV)
		}
		
	},
	_addSection: function (widget, div) {
		div.appendChild(widget.domNode);
	}
});
	
})();