/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.process.ui.internal.view.presentation.parts.HTMLAttributePart");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

dojo.declare(
	"com.ibm.team.workitem.web.process.ui.internal.view.presentation.parts.HTMLAttributePart",
	[dijit._Widget, dijit._Templated],
{
	// see com.ibm.team.workitem.web.ui.internal.view.layout.HTMLWidget
	templateString: '<div class="HtmlWidget" >' +
					'<span dojoAttachPoint="_statusIconSPAN" class="StatusIconContainer">' +		
					'<div dojoAttachPoint="_statusIcon"></div></span>' +						   
					'<span style="display:block" dojoAttachPoint="descriptionSPAN" ></span>' +
					'<span style="display:block" dojoAttachPoint="descriptionTextSPAN" class="DescriptionTextSpan"></span>' +
					'</div>',

	postCreate: function(){
		this.inherited(arguments);
		
		dojo.create("textarea", {
			className: "SelfSizingTextArea WidgetInput SelfSizingTextAreaTall"
		}, this.descriptionTextSPAN);
	}
});