/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2010. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("com.ibm.team.workitem.web.ui2.internal.widget.HoverBar"); //$NON-NLS-1$

dojo.require("dijit._Widget"); //$NON-NLS-1$
dojo.require("dijit._Templated"); //$NON-NLS-1$

(function() {
	
var DEFAULT_MAX_WIDTH = 500;
var DEFAULT_MAX_HEIGHT = 350;
		
var table= null;
var tablePos= {x: 230, y: 230};
	
	dojo.declare("com.ibm.team.workitem.web.ui2.internal.widget.HoverBar", jazz.ui.HoverPopup, { //$NON-NLS-1$
			
		position: function(node) {
			var master = jazz.ui._getMasterPopup();
			if (!node) {
				if (!this._isOpen || !this._target)
					return;
				node = this._target;
			}
			
			tablePos= dojo._abs(node, true);
			
			var pos= {
					x: tablePos.x + 25,
					y: tablePos.y 
			}
			
			master.domNode.style.zIndex= "999"; //$NON-NLS-1$
					
			master.domNode.style.left= (pos.x - 8) + "px"; //$NON-NLS-1$
			master.domNode.style.top = (pos.y - 6) + "px"; //$NON-NLS-1$
			master.arrow.style.display = "none"; //$NON-NLS-1$
					
			master.contentWrapper.scrollTop = 1; // workaround a scrollbar display bug in FF
			master.contentWrapper.scrollTop = 0;
		},
		
		close: function() {
			this.inherited("close", arguments, arguments); //$NON-NLS-1$
		},
	
		_hover: function() {
			// overriden to avoid default implementation
		},
		
		_unHoverPopup: function() {
			this.inherited("_unHoverPopup", arguments, arguments); //$NON-NLS-1$
		},
	
		__sentinel: null // terminates this class definition
	});
})();